# About the Patchworks Core API

The API for the Patchworks iPaaS (integration platform as a service) is designed under [MACH Alliance](https://machalliance.org/) principles, ensuring that every function available through the dashboard can be accessed programmatically.

The Patchworks Core API is a RESTful JSON API. This is the same API that powers the dashboard. With secure, real-time connectivity and access to any system or data source, the Core API provides dashboard functionality on your terms.

## Download our API specification

The Patchworks Core OpenAPI specification (and associated reference documentation) is synced with our regular releases. You can download the latest OpenAPI specification via the link below:

<a href="https://openapi.gitbook.com/o/QK9606D86GQKTsWinNMs/spec/patchworks-core-api.yaml" class="button primary">Download OpenAPI Specification</a>

## Postman

If you prefer working with Postman, this same documentation can be found in Postman using the link below:

{% embed url="<https://postman.wearepatchworks.com/>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.wearepatchworks.com/product-documentation/api-reference/getting-started/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
